Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TModelInstanceDetails

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TModelInstanceDetails

public class TModelInstanceDetails
extends java.lang.Object

TModelInstanceDetails contains list of TModelInfos.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`TModelInstanceDetails()` Class Constructor

Method Summary
`void` | `addTModelInstanceInfo(TModelInstanceInfo value)` Adds a new tModelInstanceInfo to the set of tModelInstanceInfos.
`java.util.Vector` | `getTModelInstanceInfoVector()` Gets the set of tModelInstanceInfos.
`void` | `setTModelInstanceInfoVector(java.util.Vector value)` Sets the set containing tModelInstanceInfo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInstanceDetails

    public TModelInstanceDetails()

  Class Constructor

Method Detail

### addTModelInstanceInfo

    public void addTModelInstanceInfo(TModelInstanceInfo value)

  Adds a new tModelInstanceInfo to the set of tModelInstanceInfos.

  Parameters:
    `value` - the new tModelInstanceInfo.

### setTModelInstanceInfoVector

    public void setTModelInstanceInfoVector(java.util.Vector value)

  Sets the set containing tModelInstanceInfo.

  Parameters:
    `value` - the new set of tModelInstanceInfos.

### getTModelInstanceInfoVector

    public java.util.Vector getTModelInstanceInfoVector()

  Gets the set of tModelInstanceInfos.

  Returns:
    the current set of tModelInstanceInfos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference